#
# See the file "LICENSE" for the full license governing this code.
#
#++--++
#--++--
define mq_install::internal::mq_packages(
  Array[String[1]] $packages,
  String           $source_location,
)
{
  if $caller_module_name != $module_name {
    fail("Use of private class ${name} by ${caller_module_name} not supported.")
  }
  $version = $title

  $base_packages = [
    'MQSeriesRuntime',
    'MQSeriesJRE',
    'MQSeriesJava',
    'MQSeriesServer',
    ]
  $additional_packages = $packages - $base_packages

  $base_packages.each | $package| {
    package {"${package}-${version}":
      ensure   => $version,
      provider => 'rpm',
      source   => "${source_location}/${package}-${version}.x86_64.rpm",
    }
  }

  $additional_packages.each | $package| {
    package {"${package}-${version}":
      ensure   => $version,
      provider => 'rpm',
      source   => "${source_location}/${package}-${version}.x86_64.rpm",
    }
  }
}
