#
# See the file "LICENSE" for the full license governing this code.
#
#++--++
#--++--
class mq_install::internal::mq_stop(
  Variant[Enum['on_failure'], Boolean] $logoutput = 'on_failure',    # Output of the execs
)
{
  if defined($caller_module_name) and $caller_module_name != $module_name {
    fail("Use of private class ${name} by ${caller_module_name} not supported.")
  }
  #
  # Stop all running MQ managers
  #
  $running_managers = mq_install::running_managers()
  $running_managers.each |$manager| {
    exec { "Stop MQ manager ${manager}":
      user      => 'mqm',
      path      => '/opt/mqm/bin/',
      command   => "endmqm -i ${manager}",
      logoutput => $logoutput,
    }
  }
}
